Get 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/activity/{activityId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • activityId integer(int64) Required
  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • dataDate string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • calendarId integer(int64)
    • scenarioId integer(int64)
    • externalProjectId integer(int32)
    • dateCreated string(date)
    • customId string
    • name string
    • order integer(int32)
    • performanceTrack boolean
    • startDate string(date-time)
    • finishDate string(date-time)
    • lateStartDate string(date-time)
    • lateFinishDate string(date-time)
    • constrainedDate string(date-time)
    • constraintType string

      Values are AsLateAsPossible, FinishOn, FinishOnOrAfter, FinishOnOrBefore, MandatoryFinish, MandatoryStart, StartOn, StartOnOrAfter, StartOnOrBefore, ExternalStart, or Resume.

    • resumeDate string(date-time)
    • updatedPlannedDuration number(double)
    • updatedPlannedDurationHours number(double)
    • plannedDuration number(double)
    • plannedDurationHours number(double)
    • plannedManpower number(double)
    • actualManpower number(double)
    • plannedBudget number(double)
    • plannedStartDate string(date-time)
    • plannedFinishDate string(date-time)
    • percentComplete number(double)
    • floatTotal number(double)
    • nativeFloatTotal number(double)
    • floatFree number(double)
    • remainingDuration number(double)
    • remainingDurationHours number(double)
    • actualDuration number(double)
    • actualDurationHours number(double)
    • actualStartDate string(date-time)
    • actualFinishDate string(date-time)
    • activityType string

      Values are TaskDependent, Task, StartMilestone, FinishMilestone, or LevelOfEffort.

    • constraintGenerated boolean
    • wbsCodeId integer(int32)
    • retainLogic boolean
    • externalId string
    • isExcludeFromProgress boolean
    • percentCompleteType string

      Values are DURATION, PHYSICAL, or UNITS.

    • physicalPercentComplete number(double)
    • unitsPercentComplete number(double)
    • predecessorDrivers array[integer(int64)]
    • inLongestPath boolean
    • conditionalBreakType string

      Values are TimePeriod, Shift, or WorkPattern.

    • startOnNewDay boolean
    • sourceStartDate string(date-time)
    • sourceFinishDate string(date-time)
    • sourceActualStartDate string(date-time)
    • sourceActualFinishDate string(date-time)
    • sourceDurationPercentComplete number(double)
    • deleted boolean
    • activityCodes array[integer(int64)]
    • currentDuration number(double)
    • baselines array[object]
      Hide baselines attributes Show baselines attributes object
      • percentComplete number(double)
      • activityBaselineId object
        Hide activityBaselineId attributes Show activityBaselineId attributes object
        • activityId integer(int64)
        • dateCreated string(date)
      • originalStartDate string(date-time)
      • originalFinishDate string(date-time)
      • criticalPath boolean
      • type string

        Values are Global or Isolated.

      • dataDate string(date-time)
    • notComplete boolean
    • started boolean
    • completed boolean
GET /project/{projectId}/scenario/{scenarioId}/activity/{activityId}
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/activity/{activityId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "id": 42,
  "calendarId": 42,
  "scenarioId": 42,
  "externalProjectId": 42,
  "dateCreated": "2026-05-04",
  "customId": "string",
  "name": "string",
  "order": 42,
  "performanceTrack": true,
  "startDate": "2026-05-04T09:42:00Z",
  "finishDate": "2026-05-04T09:42:00Z",
  "lateStartDate": "2026-05-04T09:42:00Z",
  "lateFinishDate": "2026-05-04T09:42:00Z",
  "constrainedDate": "2026-05-04T09:42:00Z",
  "constraintType": "AsLateAsPossible",
  "resumeDate": "2026-05-04T09:42:00Z",
  "updatedPlannedDuration": 42.0,
  "updatedPlannedDurationHours": 42.0,
  "plannedDuration": 42.0,
  "plannedDurationHours": 42.0,
  "plannedManpower": 42.0,
  "actualManpower": 42.0,
  "plannedBudget": 42.0,
  "plannedStartDate": "2026-05-04T09:42:00Z",
  "plannedFinishDate": "2026-05-04T09:42:00Z",
  "percentComplete": 42.0,
  "floatTotal": 42.0,
  "nativeFloatTotal": 42.0,
  "floatFree": 42.0,
  "remainingDuration": 42.0,
  "remainingDurationHours": 42.0,
  "actualDuration": 42.0,
  "actualDurationHours": 42.0,
  "actualStartDate": "2026-05-04T09:42:00Z",
  "actualFinishDate": "2026-05-04T09:42:00Z",
  "activityType": "TaskDependent",
  "constraintGenerated": true,
  "wbsCodeId": 42,
  "retainLogic": true,
  "externalId": "string",
  "isExcludeFromProgress": true,
  "percentCompleteType": "DURATION",
  "physicalPercentComplete": 42.0,
  "unitsPercentComplete": 42.0,
  "predecessorDrivers": [
    42
  ],
  "inLongestPath": true,
  "conditionalBreakType": "TimePeriod",
  "startOnNewDay": true,
  "sourceStartDate": "2026-05-04T09:42:00Z",
  "sourceFinishDate": "2026-05-04T09:42:00Z",
  "sourceActualStartDate": "2026-05-04T09:42:00Z",
  "sourceActualFinishDate": "2026-05-04T09:42:00Z",
  "sourceDurationPercentComplete": 42.0,
  "deleted": true,
  "activityCodes": [
    42
  ],
  "currentDuration": 42.0,
  "baselines": [
    {
      "percentComplete": 42.0,
      "activityBaselineId": {
        "activityId": 42,
        "dateCreated": "2026-05-04"
      },
      "originalStartDate": "2026-05-04T09:42:00Z",
      "originalFinishDate": "2026-05-04T09:42:00Z",
      "criticalPath": true,
      "type": "Global",
      "dataDate": "2026-05-04T09:42:00Z"
    }
  ],
  "notComplete": true,
  "started": true,
  "completed": true
}